<template>
   <header>
      <div>{{ title }}</div>
      <div class="router-wrapper">
         <RouterLink :class="{ active: routeName === 'home' }" to="/">Investycje</RouterLink>
         <RouterLink to="/sport-object-reservation"
            >Rezerwacje obiektów</RouterLink
         >
         <RouterLink to="/sidewalks">Chodniki</RouterLink>
      </div>
   </header>
</template>

<script setup lang="ts">
import { RouterLink } from "vue-router"
import router from "@/router"
import { onMounted, ref } from "vue"

defineProps<{
   title: string
}>()

const routeName = ref("")

onMounted(() => {
   routeName.value = (router.currentRoute.value.name as string) || ""
})
</script>

<style>
header {
   text-align: center;
   padding: 1rem;
   font-weight: 600;
   font-size: 140%;
   border-bottom: solid 1px var(--border-color);
   background-color: white;
   display: flex;
   justify-content: space-between;

   a {
      color: var(--indigo-8);
      text-decoration: none;
      margin-left: 1rem;
      font-size: 1rem;
   }
}
@media (max-width: 760px) {
   header {
      text-align: center;
      padding: 1rem;
      font-weight: 600;
      font-size: 140%;
      border-bottom: solid 1px var(--border-color);
      background-color: white;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      .router-wrapper {
         display: flex;
         flex-direction: column;
      }
   }
}
.activeSportObject {
   text-decoration: underline;
   text-decoration-thickness: 2px;
}
.activeHomeView {
   text-decoration: underline;
   text-decoration-thickness: 2px;
}
</style>
